Enum options: ACTIVITY_TYPE_UPDATE_USER
Timestamp (in milliseconds) of the request, used to verify liveness of user requests.
Unique identifier for a given Organization.
The parameters object containing the specific intent data for this activity.
An updated list of User Tags to apply to this User. This field, if not needed, should be an empty array in your request body.
Array item type: string
item field
A successful response returns the following fields:
The activity object containing type, intent, and result
curl --request POST \
--url https://api.turnkey.com/public/v1/submit/update_user \
--header 'Accept: application/json' \
--header 'Content-Type: application/json' \
--header "X-Stamp: <string> (see Authorizations)" \
--data '{
"type": "ACTIVITY_TYPE_UPDATE_USER",
"timestampMs": "<string> (e.g. 1746736509954)",
"organizationId": "<string> (Your Organization ID)",
"parameters": {
"userId": "<string>",
"userName": "<string>",
"userEmail": "<string>",
"userTagIds": [
"<string>"
],
"userPhoneNumber": "<string>"
}
}'
{
"activity": {
"id": "<activity-id>",
"status": "ACTIVITY_STATUS_COMPLETED",
"type": "ACTIVITY_TYPE_UPDATE_USER",
"organizationId": "<organization-id>",
"timestampMs": "<timestamp> (e.g. 1746736509954)",
"result": {
"activity": {
"id": "<string>",
"organizationId": "<string>",
"status": "<string>",
"type": "<string>",
"intent": {
"updateUserIntent": {
"userId": "<string>",
"userName": "<string>",
"userEmail": "<string>",
"userTagIds": [
"<string>"
],
"userPhoneNumber": "<string>"
}
},
"result": {
"updateUserResult": {
"userId": "<string>"
}
},
"votes": "<array>",
"fingerprint": "<string>",
"canApprove": "<boolean>",
"canReject": "<boolean>",
"createdAt": "<string>",
"updatedAt": "<string>"
}
}
}
}